%define upstream_name    Archive-Zip
%define upstream_version 1.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provide an interface to ZIP archive files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz
# See MGA#23285 ; CVE-2018-10860
Patch1:     https://github.com/redhotpenguin/perl-Archive-Zip/commit/95e1df863279ac073ea30c9f10c831fe703bdd10.patch

BuildRequires: git
BuildRequires: perl(Compress::Raw::Zlib) >= 2.17.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: pkgconfig(zlib)
BuildArch:  noarch

%description
A Perl module that provides an interface to ZIP archive files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
git apply -p1 < %{PATCH1}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
if test "%{upstream_version}" = "1.60" ; then
    true
else
    make test
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_bindir}/crc32
%{perl_vendorlib}/Archive
%{_mandir}/*/*


%changelog
* Fri Jul 06 2018 shlomif <shlomif> 1.600.0-1.mga6
  (not released yet)
+ Revision: 1242341
- revert
- bump subrel
- skip test
- Fix for mga#23285 .

* Sat Jun 18 2016 pterjan <pterjan> 1.570.0-2.mga6
+ Revision: 1022567
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 1007357
- New version 1.57 archive
- New version 1.57

* Sun Jan 24 2016 luigiwalser <luigiwalser> 1.560.0-1.mga6
+ Revision: 926770
- BR Test::MockModule
- 1.56

* Mon Sep 28 2015 sander85 <sander85> 1.530.0-1.mga6
+ Revision: 884396
- update to 1.53

* Sun Sep 06 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 873396
- update to 1.50

* Sat Aug 01 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 860321
- update to 1.49

* Sun Jul 05 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 851389
- update to 1.48

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 739108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 683540
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.380.0-1.mga5
+ Revision: 671403
- update to 1.38

* Wed Feb 05 2014 shlomif <shlomif> 1.370.0-1.mga5
+ Revision: 583810
- update to 1.37

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 522014
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 pterjan <pterjan> 1.300.0-2.mga3
+ Revision: 394551
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 24311
- fix specs
- imported package perl-Archive-Zip

